Loading...
Searching...
No Matches
seqan3::search_cfg::detail::result_type< search_result_t > Class Template Reference
Search » Configuration

Configuration element storing the configured seqan3::search_result for the search algorithm. More...

`#include <seqan3/search/configuration/result_type.hpp>`

Inheritance diagram for seqan3::search_cfg::detail::result_type< search_result_t >:
[legend]

## Public Types

using | type = search_result_t
| The configured seqan3::search_result type.

## Public Member Functions

Constructors, destructor and assignment
constexpr | result_type ()=default
| Defaulted.
constexpr | result_type (result_type const &)=default
| Defaulted.
constexpr | result_type (result_type &&)=default
| Defaulted.
constexpr result_type & | operator= (result_type const &)=default
| Defaulted.
constexpr result_type & | operator= (result_type &&)=default
| Defaulted.
| ~result_type ()=default
| Defaulted.

## Static Public Attributes

static constexpr seqan3::detail::search_config_id | id {seqan3::detail::search_config_id::result_type}
| Internal id to check for consistent configuration settings.

## Detailed Description

template<typename search_result_t>
requires seqan3::detail::is_type_specialisation_of_v<search_result_t, search_result>
class seqan3::search_cfg::detail::result_type< search_result_t >

Configuration element storing the configured seqan3::search_result for the search algorithm.

See also
  Configuration

Template Parameters

  search_result_t | The search result type to store; must be a type specialisation of seqan3::search_result.

This configuration element stores the seqan3::search_result type after configuring the search algorithm with the seqan3::detail::search_configurator. The result type can be accessed via the seqan3::detail::search_traits over the corresponding search configuration type. If the stored search result was not added yet to the search configuration the corresponding result type member will deduce to seqan3::detail::empty_type.

Note
  This configuration element is only added internally during the search configuration and is not intended for public use.

The documentation for this class was generated from the following file:

- result_type.hpp

Hide me